/*************************************************************************
	-----------------------------------------------------
           		Copyright 2002, 
	   University of Massachusetts, Amherst. 
	-----------------------------------------------------

This package was created at the University of Massachusetts, Amherst. 
The University of Massachusetts makes no warranty about the suitability 
of this software for any purpose. It is presented on an "as is" basis.

CONDITIONS:

The use of software for commercial purposes is strictly forbidden
without a written consent from its authors or the University of 
Massachusetts, Amherst.

**************************************************************************/
/**CHeaderFile*****************************************************************

  FileName    [eliminate.h]

  PackageName [BDS]

  Synopsis    [Network partition program]

  Description []

  SeeAlso     []

  Author      [Anda Congguang Yang]

  Last date   [3/23/99]

******************************************************************************/

#ifndef _BNETELIMINATE
#define _BNETELIMINATE

/*---------------------------------------------------------------------------*/
/* Nested includes                                                           */
/*---------------------------------------------------------------------------*/

#include "lopt.h"
#include "bnet.h"
#include "build.h"
#include "local.h"

/*---------------------------------------------------------------------------*/
/* Constant declarations                                                     */
/*---------------------------------------------------------------------------*/

#define BDS_ELIMINATE_THRESHOLD 0

/*---------------------------------------------------------------------------*/
/* Stucture declarations                                                     */
/*---------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------*/
/* Type declarations                                                         */
/*---------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------*/
/* Variable declarations                                                     */
/*---------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------*/
/* Macro declarations                                                        */
/*---------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------*/
/* Function prototypes                                                       */
/*---------------------------------------------------------------------------*/

EXTERN int BDS_EliminateBasedOnLocal ARGS((DdManager*,BnetNetwork*,bdsOptions*,int,int,FILE*));
EXTERN int BDS_EliminateBasedOnGlobal ARGS((DdManager*,BnetNetwork*,bdsOptions*));
EXTERN void BDS_FreeNetworkAfterEliminate ARGS((BnetNetwork*));

#endif /* _BNETELIMINATE */
