/*************************************************************************
	-----------------------------------------------------
           		Copyright 2002, 
	   University of Massachusetts, Amherst. 
	-----------------------------------------------------

This package was created at the University of Massachusetts, Amherst. 
The University of Massachusetts makes no warranty about the suitability 
of this software for any purpose. It is presented on an "as is" basis.

CONDITIONS:

The use of software for commercial purposes is strictly forbidden
without a written consent from its authors or the University of 
Massachusetts, Amherst.

**************************************************************************/
/**CHeaderFile*****************************************************************

  FileName    [prepare.h]

  PackageName [BDS]

  Synopsis    [Util program before BDD decomposition]

  Description []

  SeeAlso     []

  Author      [Anda Congguang Yang]

  Last date   [5/16/99]

******************************************************************************/

#ifndef _BDSPREPARE
#define _BDSPREPARE

/*---------------------------------------------------------------------------*/
/* Nested includes                                                           */
/*---------------------------------------------------------------------------*/

#include "lopt.h"
#include "local.h"

/*---------------------------------------------------------------------------*/
/* Constant declarations                                                     */
/*---------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------*/
/* Stucture declarations                                                     */
/*---------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------*/
/* Type declarations                                                         */
/*---------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------*/
/* Variable declarations                                                     */
/*---------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------*/
/* Macro declarations                                                        */
/*---------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------*/
/* Function prototypes                                                       */
/*---------------------------------------------------------------------------*/

EXTERN int bdsGlobalOrLocalBDD ARGS((DdManager*,BnetNetwork*,bdsOptions*,FILE*));
EXTERN SopPool** bdsStoreBDDs ARGS((DdManager*,BnetNetwork*,bdsOptions*,st_table*,int));
EXTERN int bdsFreeAllBDDs ARGS((DdManager*,BnetNetwork*,bdsOptions*,int));
EXTERN char** bdsBuildVarNameAssocGlobal ARGS((DdManager*,BnetNetwork*,bdsOptions*));
EXTERN char** bdsBuildVarNameAssocLocal ARGS((DdManager*,BnetNetwork*,bdsOptions*));
EXTERN bddPool** bdsStoreBDDInBddPoolGlobal ARGS((DdManager*,BnetNetwork*,bdsOptions*,st_table*));
EXTERN bddPool** bdsStoreBDDInBddPoolLocal ARGS((DdManager*,BnetNetwork*,bdsOptions*,st_table*));

#endif /* _BDSPREPARE */



