/*************************************************************************
	-----------------------------------------------------
           		Copyright 2002, 
	   University of Massachusetts, Amherst. 
	-----------------------------------------------------

This package was created at the University of Massachusetts, Amherst. 
The University of Massachusetts makes no warranty about the suitability 
of this software for any purpose. It is presented on an "as is" basis.

CONDITIONS:

The use of software for commercial purposes is strictly forbidden
without a written consent from its authors or the University of 
Massachusetts, Amherst.

**************************************************************************/
/**CHeaderFile*****************************************************************

  FileName    [verify.h]

  PackageName [BDS]

  Synopsis    [Synthesis verification program]

  Description []

  SeeAlso     []

  Author      [Anda Congguang Yang]

  Last date   [4/1/99]

******************************************************************************/

#ifndef _BDSVERIFICATION
#define _BDSVERIFICATION

/*---------------------------------------------------------------------------*/
/* Nested includes                                                           */
/*---------------------------------------------------------------------------*/

#include "lopt.h"
#include "bnet.h"
#include "build.h"
#include "local.h"

/*---------------------------------------------------------------------------*/
/* Constant declarations                                                     */
/*---------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------*/
/* Stucture declarations                                                     */
/*---------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------*/
/* Type declarations                                                         */
/*---------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------*/
/* Variable declarations                                                     */
/*---------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------*/
/* Macro declarations                                                        */
/*---------------------------------------------------------------------------*/

/*---------------------------------------------------------------------------*/
/* Function prototypes                                                       */
/*---------------------------------------------------------------------------*/

EXTERN int bdsVerifyPartition ARGS((DdManager*,BnetNetwork*,bdsOptions*));
EXTERN int bdsVerifySynthesis ARGS((DdManager*,BnetNetwork*,FactorTreeNode**,st_table*,bddPool**,st_table*,bdsOptions*));

#endif /* _BDSVERIFICATION */
